function love.load()
	babyMap = {
	{1, 1, 1, 1, 0, 0, 0, 1},
	{1, 1, 1, 1, 0, 0, 1, 0},
	{1, 1, 1, 1, 0, 0, 1, 0},
	{0, 0, 1, 1, 1, 1, 1, 1},
	{0, 0, 0, 0, 1, 1, 1, 1},
	{1, 0, 0, 0, 1, 1, 1, 1},
	{1, 1, 1, 0, 0, 1, 1, 1},
	{1, 1, 1, 1, 0, 1, 1, 1},
	}
	tile = love.graphics.newImage("tile.png")
	darkTileQuad = love.graphics.newQuad(32, 0, 32, 32, tile:getWidth(), tile:getHeight())
	lightTileQuad = love.graphics.newQuad(0, 0, 32, 32, tile:getWidth(), tile:getHeight())
	babyBatchRibs = love.graphics.newSpriteBatch(tile)
	lightRadius = 100
--	lightStrength = 1
end

function getDistance(x1, y1, x2, y2)
	return math.sqrt((x2 - x1) ^ 2 + (y2 - y1) ^ 2)
end

function love.update()
	local mouseX, mouseY = love.mouse.getX(), love.mouse.getY()
	for y = 1, #babyMap do
		for x = 1, #babyMap[y] do
			local dist = getDistance(mouseX, mouseY, x * 32, y * 32)
			local colorStrength = 255 - (255 * math.min(1, (dist / lightRadius)))
			babyBatchRibs:setColor(colorStrength, colorStrength, colorStrength)
			if babyMap[y][x] == 0 then
				babyBatchRibs:add(darkTileQuad, x * 32 - 32, y * 32 - 32)	-- -32 because offset, aw baby
			else
				babyBatchRibs:add(lightTileQuad, x * 32 - 32, y * 32 - 32)	-- -32 because offset, aw baby
			end
		end
	end
end

function love.draw()
	love.graphics.draw(babyBatchRibs, 0, 0)
	love.graphics.print("Average FPS: " .. math.ceil(1 / love.timer.getAverageDelta()))
	babyBatchRibs:clear()
end